%global project_name glustercli-python

Name:		python3-glustercli
Version:	0.8.0
Release:	1%{?dist}
Summary:	Python bindings for GlusterFS CLI and Metrics

Group:		Applications/System
License:	GPLv3
URL:		https://github.com/gluster/glustercli-python

# download from https://github.com/gluster/glustercli-python/tags

Source0:	%{project_name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

Requires:	/usr/sbin/gluster
Requires:	glusterfs >= 3.4

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python3: %global __python3 /usr/bin/python3}
%{!?python3_sitelib: %global python3_sitelib %(%{__python3} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python3_sitearch: %global python3_sitearch %(%{__python3} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%description
Python bindings for GlusterFS CLI and Metrics collections.

%prep
%global debug_package %{nil}
%setup -q -n %{project_name}-%{version}


%build
%{py3_build}


%install
rm -rf %{buildroot}
%{py3_install}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.md MAINTAINERS
%license COPYING*
%{python3_sitelib}/glustercli/
%{python3_sitelib}/glustercli-%{version}-*.egg-info/


%changelog
* Fri Mar 12 2021 Giuseppe Ragusa <giuseppe.ragusa@fastmail.fm> 0.8.0-1
- Initial packaging

